LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSSOManagerFactory Interface Referencepublished

Factory for creating an SSO Manager supporting the user's configured security mechanism. More...

`import"XSSOManagerFactory.idl";`

Inheritance diagram for XSSOManagerFactory:

## Public Member Functions
XSSOManager | getSSOManager ()
| provides a XSSOManager to be used in subsequent security context creation. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Factory for creating an SSO Manager supporting the user's configured security mechanism.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getSSOManager()

XSSOManager getSSOManager | ( |  | ) |

provides a XSSOManager to be used in subsequent security context creation.

Returns
  the relevant XSSOManager instance

The documentation for this interface was generated from the following file:

- com/sun/star/auth/XSSOManagerFactory.idl